Bug 52024 - port multimedia/libdv fails to build
Summary: port multimedia/libdv fails to build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mario Sergio Fujikawa Ferreira
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-05-10 08:40 UTC by Heiner
Modified: 2004-03-14 04:15 UTC (History)
0 users

See Also:


Attachments
file.diff (525 bytes, patch)
2003-05-10 08:40 UTC, Heiner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Heiner 2003-05-10 08:40:04 UTC
make in multimedia/libdv ends with:

source='dovlc.c' object='dovlc.o' libtool=no  depfile='.deps/dovlc.Po' tmpdepfile='.deps/dovlc.TPo'  depmode=gcc /bin/sh ../depcomp  cc -DHAVE_CONFIG_H -I. -I. -I..    -I/usr/local/include -D_THREAD_SAFE  -pipe  -Wall -g -c `test -f 'dovlc.c' || echo './'`dovlc.c
/bin/sh ../libtool --silent --mode=link cc  -pipe  -Wall -g   -L/usr/local/lib -pthread -o dovlc  dovlc.o libdv.la -lm
dovlc.o: In function `main':
/usr/ports/multimedia/libdv/work/libdv-0.99/libdv/dovlc.c(.text+0x1e0): undefined reference to `dv_peek_vlc'
.libs/libdv.so: undefined reference to `mmx_ok'
*** Error code 1

How-To-Repeat: make in multimedia/libdv
Comment 1 Tilman Keskinoz freebsd_committer 2003-05-19 15:44:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lioux

over to maintainer
Comment 2 Mark Linimon 2003-12-05 07:44:32 UTC
Is this still a problem?  There are no current bento errorlogs
that my reports are showing.
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2003-12-05 07:45:09 UTC
State Changed
From-To: open->feedback

Set to feedback to note that the submitter has been asked if 
the problem persists in more recent versions.
Comment 4 Heiner 2003-12-05 20:21:18 UTC
The error occurs, if someone removes the -O option from the CFLAG in 
make.conf. In my opinion ports should not rely on any preset optimization. 

As -O in make.conf is the default, ordinary users will not see a problem here. 
So you might close this report if this is no concern for you.


Heiner
Comment 5 Mario Sergio Fujikawa Ferreira freebsd_committer 2004-03-14 04:14:31 UTC
State Changed
From-To: feedback->closed

Committed with slightly different implementation. Thanks for spotting this one.